Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 598613 - Intel Core i7 IGP (Arrandale HD Graphics): System freeze when connecting a monitor by VGA or connecting a docking station
Intel Core i7 IGP (Arrandale HD Graphics): System freeze when connecting a mo...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
14
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-01 13:50 EDT by Veit Wahlich
Modified: 2018-04-11 03:40 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 12:56:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xorg.conf[.d/] configuration. (319 bytes, text/plain)
2010-06-21 06:23 EDT, Veit Wahlich
no flags Details
dmesg output (96.92 KB, text/plain)
2010-06-21 06:24 EDT, Veit Wahlich
no flags Details
/var/log/messages since last boot (74.17 KB, text/plain)
2010-06-21 06:24 EDT, Veit Wahlich
no flags Details
/var/log/Xorg.0.log of currently running Xorg X11 server (55.56 KB, text/plain)
2010-06-21 06:25 EDT, Veit Wahlich
no flags Details
lspci output (13.12 KB, text/plain)
2011-08-31 11:47 EDT, Skippy
no flags Details
Xorg of the previous session (236.00 KB, text/plain)
2011-08-31 11:49 EDT, Skippy
no flags Details
/var/log/dmesg (84.44 KB, text/plain)
2011-08-31 11:49 EDT, Skippy
no flags Details
/var/log/messages (560.72 KB, text/plain)
2011-08-31 11:50 EDT, Skippy
no flags Details

  None (edit)
Description Veit Wahlich 2010-06-01 13:50:22 EDT
Description of problem:
When connecting a VGA monitor to my notebook with Intel Core i7 integrated graphics, the notebook display turns black and comes up again showing a scrambled image or stays black. The system is frozen, even SSH-ing in is impossible. The keyboard LEDs do NOT blink.
The same happens if the notebook is connected to a docking station with a DVI monitor connected.

Version-Release number of selected component (if applicable):
2.11.0-4.fc13

How reproducible:
Always.

Steps to Reproduce:
1. On a notebook computer with Intel HD Graphics IGP (Intel Core i series) running F13 and X, connect an external monitor.
  
Actual results:
System is frozen and shows either black or scrambled screen.

Expected results:
System being usable anymore, maybe even with external monitor.

Additional info:
My hardware is a HP Elitebook 8440p.
Comment 1 Matěj Cepl 2010-06-02 18:54:06 EDT
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please add drm.debug=0x04 to the kernel command line, restart computer, and attach

* your X server config file (/etc/X11/xorg.conf, if available),
* X server log file (/var/log/Xorg.*.log)
* output of the dmesg command (or if the system is really frozen then at least /var/log/dmesg after the restart), and
* system log (/var/log/messages)

to the bug report as individual uncompressed file attachments using the bugzilla file attachment link above.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Veit Wahlich 2010-06-21 06:23:28 EDT
Created attachment 425590 [details]
xorg.conf[.d/] configuration.

The only xorg.conf[.d/] configuration in use.
Comment 3 Veit Wahlich 2010-06-21 06:24:03 EDT
Created attachment 425591 [details]
dmesg output
Comment 4 Veit Wahlich 2010-06-21 06:24:46 EDT
Created attachment 425592 [details]
/var/log/messages since last boot
Comment 5 Veit Wahlich 2010-06-21 06:25:32 EDT
Created attachment 425593 [details]
/var/log/Xorg.0.log of currently running Xorg X11 server
Comment 6 Veit Wahlich 2010-06-21 06:30:40 EDT
Sorry for late reply, I was unable to access the device for the last weeks.

All logs are as of last boot as the system really crashes when connecting an external display. I even ran "tail -f /var/log/messages" via SSH before and while connecting but the system simply dies and no further messages appear.

Before testing, I updated to all current packages using yum update.
Comment 7 Łukasz Jernaś 2010-10-20 15:02:43 EDT
I can confirm that issue on an I5 with Fedora 14, I'll try to gather an oops via serial ASAP
Comment 8 Matěj Cepl 2010-11-19 11:57:40 EST
(In reply to comment #7)
> I can confirm that issue on an I5 with Fedora 14, I'll try to gather an oops
> via serial ASAP

Waiting on it then.
Comment 9 Łukasz Jernaś 2010-11-21 07:43:06 EST
Totally forgot about it (will try to reproduce it later), anyway it seems to work on 2.6.35.6-48.fc14.x86_64
Comment 10 Matěj Cepl 2010-11-22 04:22:50 EST
(In reply to comment #9)
> Totally forgot about it (will try to reproduce it later), anyway it seems to
> work on 2.6.35.6-48.fc14.x86_64

Reporter, do you agree? Is the bug fixed with this version of kernel?

Thank you
Comment 11 Veit Wahlich 2010-11-22 04:46:49 EST
I am sorry, but my computer still runs F13, so I am unable to contribute any information on F14 kernels at the moment.
Comment 12 Łukasz Jernaś 2010-11-23 06:15:17 EST
As I failed to set up a serial console, I've tried with netconsole and got this:

[  515.172224] dell-wmi: Received unknown WMI event (0x11)
[  516.063687] dell-wmi: Received unknown WMI event (0x11)
[  520.560029] dell-wmi: Received unknown WMI event (0x11)
[  521.659661] dell-wmi: Received unknown WMI event (0x11)
[  521.911231] dell-wmi: Received unknown WMI event (0x11)

[  587.337694] BUG: soft lockup - CPU#0 stuck for 61s! [Xorg:2129]
[  587.337706] Modules linked in: pl2303 usbserial netconsole configfs fuse ebtable_nat ebtables ipt_MASQUERADE iptable_nat nf_nat bridge stp llc rfcomm sco bnep l2cap vboxnetadp vboxnetflt vboxdrv sunrpc cpufreq_ondemand acpi_cpufreq freq_table mperf nf_conntrack_netbios_ns ip6t_REJECT nf_conntrack_ipv6 ip6table_filter ip6_tables ipv6 kvm_intel kvm uinput arc4 ecb iwlagn iwlcore snd_hda_codec_intelhdmi snd_hda_codec_idt snd_hda_intel mac80211 snd_hda_codec btusb snd_hwdep snd_seq snd_seq_device snd_pcm snd_timer bluetooth cfg80211 snd uvcvideo soundcore snd_page_alloc rfkill cdc_acm cdc_wdm ppdev iTCO_wdt iTCO_vendor_support zaurus[  652.835933] BUG: soft lockup - CPU#0 stuck for 61s! [Xorg:2129]
[  652.835945] Modules linked in: pl2303 usbserial netconsole configfs fuse ebtable_nat ebtables ipt_MASQUERADE iptable_nat nf_nat bridge stp llc rfcomm sco bnep l2cap vboxnetadp vboxnetflt vboxdrv sunrpc cpufreq_ondemand acpi_cpufreq freq_table mperf nf_conntrack_netbios_ns ip6t_REJECT nf_conntrack_ipv6 ip6table_filter ip6_tables ipv6 kvm_intel kvm uinput arc4 ecb iwlagn iwlcore snd_hda_codec_intelhdmi snd_hda_codec_idt snd_hda_intel mac80211 snd_hda_codec btusb snd_hwdep snd_seq snd_seq_device snd_pcm snd_timer bluetooth cfg80211 snd uvcvideo soundcore snd_page_alloc rfkill cdc_acm cdc_wdm ppdev iTCO_wdt iTCO_vendor_support zaurus
Comment 13 Łukasz Jernaś 2011-01-17 17:11:21 EST
A backtrace from the Xorg process with the blank screen in place ;|

(gdb) bt
#0  0x000000394a73c2ff in __memcpy_ssse3_back () from /lib64/libc.so.6
#1  0x00007fc0725b8118 in fbBlt (srcLine=<value optimized out>, srcStride=10752, srcX=<value optimized out>, dstLine=<value optimized out>,
    dstStride=10752, dstX=<value optimized out>, width=10584, height=1024, alu=3, pm=4294967295, bpp=32, reverse=0, upsidedown=0)
    at /usr/include/bits/string3.h:52
#2  0x00007fc0725c57a8 in fbOddTile (dst=0x7fc06954c000, dstStride=2688, dstX=0, width=84672, height=0, tile=0x7fc06c752000, tileStride=2688,
    tileWidth=84672, tileHeight=1024, alu=3, pm=4294967295, bpp=32, xRot=0, yRot=0) at fbtile.c:152
#3  0x00007fc0725bbd5e in fbFill (pDrawable=0x3fbc570, pGC=0x3e0b830, x=0, y=0, width=2646, height=1024) at fbfill.c:147
#4  0x00007fc0725bc3fa in fbPolyFillRect (pDrawable=0x3fbc570, pGC=0x3e0b830, nrect=<value optimized out>, prect=<value optimized out>) at fbfillrect.c:77
#5  0x00007fc07301efd1 in uxa_check_poly_fill_rect (pDrawable=0x3fbc570, pGC=0x3e0b830, nrect=1, prect=0x3e0abc0) at uxa-unaccel.c:268
#6  0x00007fc0730166e1 in uxa_poly_fill_rect (pDrawable=0x3fbc570, pGC=0x3e0b830, nrect=1, prect=0x3e0abc0) at uxa-accel.c:894
#7  0x00000000004d70a7 in damagePolyFillRect (pDrawable=0x3fbc570, pGC=0x3e0b830, nRects=1, pRects=0x3e0abc0) at damage.c:1400
#8  0x000000000045763b in miPaintWindow (pWin=<value optimized out>, prgn=<value optimized out>, what=<value optimized out>) at miexpose.c:670
#9  0x00000000004577f2 in miWindowExposures (pWin=0x3fbc570, prgn=0x450a7c0, other_exposed=0x0) at miexpose.c:501
#10 0x000000000052bc23 in xf86XVWindowExposures (pWin=0x3fbc570, reg1=<value optimized out>, reg2=<value optimized out>) at xf86xv.c:1061
#11 0x000000000055ce28 in miHandleValidateExposures (pWin=0x3e0df80) at miwindow.c:239
#12 0x000000000046b3bf in xf86SetRootClip (pScreen=0x228f5e0, enable=0) at xf86Helper.c:1147
#13 0x000000000046be27 in xf86EnableDisableFBAccess (scrnIndex=<value optimized out>, enable=0) at xf86Helper.c:1201
#14 0x000000000053ae9f in xf86CursorEnableDisableFBAccess (index=0, enable=0) at xf86Cursor.c:227
#15 0x0000000000490082 in xf86RandR12ScreenSetSize (pScreen=0x228f5e0, width=1366, height=768, mmWidth=361, mmHeight=203) at xf86RandR12.c:705
#16 0x00000000004c5180 in ProcRRSetScreenSize (client=0x4081e40) at rrscreen.c:301
#17 0x000000000042d4d1 in Dispatch () at dispatch.c:432
#18 0x000000000042152e in main (argc=9, argv=<value optimized out>, envp=<value optimized out>) at main.c:291
Comment 14 Łukasz Jernaś 2011-01-17 17:13:17 EST
As a side note: the process doesn't even react to kill signal...
Comment 15 Skippy 2011-08-31 11:46:56 EDT
I believe I am affected by the same bug although using different hardware (Dell Latitude E6410 with an simple E-port station, see attached lspci output) with an up-to-date (but this behaviour is not new) Fedora 14.  Following are the attachments which were asked to the submitter.
Comment 16 Skippy 2011-08-31 11:47:56 EDT
Created attachment 520851 [details]
lspci output
Comment 17 Skippy 2011-08-31 11:49:27 EDT
Created attachment 520852 [details]
Xorg of the previous session

Note that the last line is truncated (probably because of this bug, I noticed it in a previous attempt already).
Comment 18 Skippy 2011-08-31 11:49:56 EDT
Created attachment 520853 [details]
/var/log/dmesg
Comment 19 Skippy 2011-08-31 11:50:17 EDT
Created attachment 520854 [details]
/var/log/messages
Comment 20 Skippy 2011-08-31 11:51:05 EDT
Comment on attachment 520854 [details]
/var/log/messages

Note that there are several occurrences of the bug in there.
Comment 21 Fedora End Of Life 2012-08-16 12:56:47 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.